Ask Your Question
1

Using crypting-0.9 and GAP 4.10.2 in Sage 9.1

asked 2020-08-03 23:08:44 +0200

Bern gravatar image

updated 2021-01-04 16:00:46 +0200

slelievre gravatar image

Hi,

I would like to ask the following question:

I have recently installed sage 9.1 and wanted to install all the gap packages inside sage.

I tried sage -i gap_packages (and sage -f gap_packages respectively) but I got the following error message which seems to point to a problem with "crypting-0.9".

A quick search showed me that there has already been a problem with this earlier, so I just wanted to ask here, if anybody could help/show me how to resolve this problem.

I work with Kubuntu 20.04, have an VivoBook-ASUSLaptop and downloaded the precompiled sage files.

Thank you very much.

.
.
.
[gap_packages-4.10.2.p1] testdata -> /home/bernhard/Schreibtisch/SageMath/local/var/tmp/sage/build/gap_packages-4.10.2.p1/inst/home/bernhard/Schreibtisch/SageMath/local/share/gap/pkg/cohomolo-1.6.7

[gap_packages-4.10.2.p1] tst -> /home/bernhard/Schreibtisch/SageMath/local/var/tmp/sage/build/gap_packages-4.10.2.p1/inst/home/bernhard/Schreibtisch/SageMath/local/share/gap/pkg/cohomolo-1.6.7

[gap_packages-4.10.2.p1] Building GAP package crypting-0.9

[gap_packages-4.10.2.p1] Using config in /home/bernhard/Schreibtisch/SageMath/local/share/gap/sysinfo.gap
[gap_packages-4.10.2.p1] Building gap_packages-4.10.2.p1
[gap_packages-4.10.2.p1] make[2]: Entering directory '/home/bernhard/Schreibtisch/SageMath/local/var/tmp/sage/build/gap_packages-4.10.2.p1/src/pkg/crypting-0.9'

[gap_packages-4.10.2.p1] /bin/bash /home/bernhard/Schreibtisch/SageMath/local/share/gap/libtool --mode=compile gcc -O2 -g -MQ obj/crypting.lo -MMD -MP -MF obj/.deps/crypting.d -o obj/crypting.lo -I/var/lib/buildbot/slave/binary_pkg/build/source/SageMath/jc4b6yulaujayb9sr94ia88eourzeqip0oidmas391y/local/share/gap/gen -I/var/lib/buildbot/slave/binary_pkg/build/source/SageMath/jc4b6yulaujayb9sr94ia88eourzeqip0oidmas391y/local/share/gap/src -I/var/lib/buildbot/slave/binary_pkg/build/source/SageMath/jc4b6yulaujayb9sr94ia88eourzeqip0oidmas391y/local/share/gap -DHAVE_CONFIG_H -I/var/lib/buildbot/slave/binary_pkg/build/source/SageMath/jc4b6yulaujayb9sr94ia88eourzeqip0oidmas391y/local/include -c src/crypting.c

[gap_packages-4.10.2.p1] libtool: compile:  gcc -O2 -g -MQ obj/crypting.lo -MMD -MP -MF obj/.deps/crypting.d -I/var/lib/buildbot/slave/binary_pkg/build/source/SageMath/jc4b6yulaujayb9sr94ia88eourzeqip0oidmas391y/local/share/gap/gen -I/var/lib/buildbot/slave/binary_pkg/build/source/SageMath/jc4b6yulaujayb9sr94ia88eourzeqip0oidmas391y/local/share/gap/src -I/var/lib/buildbot/slave/binary_pkg/build/source/SageMath/jc4b6yulaujayb9sr94ia88eourzeqip0oidmas391y/local/share/gap -DHAVE_CONFIG_H -I/var/lib/buildbot/slave/binary_pkg/build/source/SageMath/jc4b6yulaujayb9sr94ia88eourzeqip0oidmas391y/local/include -c src/crypting.c  -fPIC -DPIC -o obj/.libs/crypting.o

[gap_packages-4.10.2.p1] src/crypting.c:5:10: fatal error: src/compiled.h: No such file or directory
[gap_packages-4.10.2.p1]     5 | #include "src/compiled.h"          /* GAP headers */
[gap_packages-4.10.2.p1]       |          ^~~~~~~~~~~~~~~~
[gap_packages-4.10.2.p1] compilation terminated.
[gap_packages-4.10.2.p1] make[2]: *** [Makefile:105: obj/crypting.lo] Error 1
[gap_packages-4.10.2.p1] make[2]: Leaving directory '/home/bernhard/Schreibtisch/SageMath/local/var/tmp/sage/build/gap_packages-4.10.2.p1/src/pkg/crypting-0.9'
[gap_packages-4.10.2.p1] ********************************************************************************
[gap_packages-4.10.2.p1] Error building gap_packages-4.10.2.p1
[gap_packages-4.10.2.p1] ********************************************************************************
[gap_packages-4.10.2.p1] 
[gap_packages-4.10.2.p1] real   0m6.918s
[gap_packages-4.10.2.p1] user   0m4.702s
[gap_packages-4.10.2.p1] sys    0m1.209s
[gap_packages-4.10.2.p1] ************************************************************************
[gap_packages-4.10.2.p1] Error installing package gap_packages-4.10.2.p1
[gap_packages-4.10.2.p1] ************************************************************************ 
[gap_packages-4.10.2.p1] Please email sage-devel (http://groups.google.com/group/sage-devel)
[gap_packages-4.10.2.p1] explaining the problem and including the log file
[gap_packages-4.10.2.p1]   /home/bernhard/Schreibtisch/SageMath/logs/pkgs/gap_packages-4.10.2.p1.log  
[gap_packages-4.10.2.p1] Describe your computer, operating system, etc.
[gap_packages-4.10.2.p1] If you want to try to fix the problem yourself, *don't* just cd to
[gap_packages-4.10.2.p1] /home/bernhard/Schreibtisch/SageMath/local/var/tmp/sage/build/gap_packages-4.10.2.p1 and type 'make' or whatever is appropriate.

[gap_packages-4.10.2.p1] Instead, the following commands setup all environment variables
[gap_packages-4.10.2.p1] correctly and load a subshell for you to debug the error:
[gap_packages-4.10.2.p1]   (cd '/home/bernhard/Schreibtisch/SageMath/local/var/tmp/sage/build/gap_packages-4.10.2.p1' && '/home/bernhard/Schreibtisch/SageMath/sage' --buildsh)
[gap_packages-4.10.2.p1] When you are done debugging, you can type "exit" to leave the subshell.
[gap_packages-4.10.2.p1] ************************************************************************
make[1]: *** [Makefile:2143: /home/bernhard/Schreibtisch/SageMath/local/var/lib/sage/installed/gap_packages-4.10.2.p1]
Error 1
make[1]: Leaving directory '/home/bernhard/Schreibtisch/SageMath/build/make'

real    2m13,674s
user    2m6,068s
sys     0m5,643s
***************************************************************
Error building Sage.

The following package(s) may have failed to build (not necessarily
during this run of 'make gap_packages'):

* package:         gap_packages-4.10.2.p1
last build time: Aug 3 22:41
log file:        /home/bernhard/Schreibtisch/SageMath/logs/pkgs/gap_packages-4.10.2.p1.log
build directory: /home/bernhard/Schreibtisch/SageMath/local/var/tmp/sage/build/gap_packages-4.10.2.p1

It is safe to delete any log files and build directories, but they
contain information that is helpful for debugging build problems.
WARNING: If you now run 'make' again, the build directory of the
same version of the package will, by default, be deleted. Set the
environment variable SAGE_KEEP_BUILT_SPKGS=yes to prevent this.

make: *** [Makefile:33: gap_packages] Error 1
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2021-01-04 16:01:35 +0200

slelievre gravatar image

updated 2021-01-04 16:07:47 +0200

With Sage installed from binaries or built from source, sage -i allows to install extra packages.

Sometimes it requires some build tools to be available.

When problems arise while running sage -i, the log files

  • .../SageMath/config.log (always)
  • .../SageMath/logs/pkgs/gap_packages-4.10.2.p1.log (in this case)

usually have relevant information on what went wrong.

If you lack expertise to make sense of those files, you can post them here or to the sage-support or sage-devel mailing list, and usually people will point a way forward.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2020-08-03 23:08:44 +0200

Seen: 116 times

Last updated: Jan 04